0 Replies Latest reply on Nov 14, 2013 1:49 AM by dhanaraja rajendiran

    problems integrating JBOSS 5.1 with richfaces 3.3.3.Final and JSF 2.1.6 (facing when migrating jsf 2.0 to jsf 2.1.x)

    dhanaraja rajendiran Newbie

      Hi All,

       

      I was using richfaces 3.3.3 final with jsf 2.0 with my application and it was working perfectly fine. but ,when I am using JSF 2.1.6 facing many [problems..

       

      My JBoss Version : Jboss 5.x

       

      is it possible to use below combination ?

       

      jsf-api  2.1.6

       

      jsf-impl 2.1.6

       

      richfaces-ui 3.3.3.Final

       

      richfaces-api 3.3.3.Final

       

      richfaces-impl-jsf2 3.3.3.Final

       

      jsf-facelets 1.1.15

       

      And JBOSS 5.x,

      Appache   maven 3.0.3

       

      My Actual problem starts when i started using jsf 2.1.x.I ahve mentioned my error here for your reference ..

       

      java.lang.IllegalStateException: Illegal attempt to set ViewHandler after a response has been rendered.

       

      I guess my jboss is trying to access JSf 2.0 instead of 2.1.x .How to make my jboss 5.1 independent of JSF 2.0

       

       

      Thanks in advance ..!